# Atoms

<h2>Table of Contents</h2>

- [Base Styles](#base-styles)
- [Layout](#layout)
- [Flexbox & Grid](#flexbox--grid)
- [Spacing](#spacing)
- [Sizing](#sizing)
- [Typography](#typography)
- [Backgrounds](#backgrounds)
- [Borders](#borders)
- [Effects](#effects)
- [Filters](#filters)
- [Tables](#tables)
- [Transitions & Animation](#transitions--animation)
- [Transforms](#transforms)
- [Interactivity](#interactivity)


<a name=base-styles></a>

## Base Styles

- Reset


<a name=layout></a>

## Layout

- Aspect Ratio
- Container
- Columns
- Break After
- Break Before
- Break Inside
- Box Decoration Break
- Box Sizing
- Display
- Floats
- Clear
- Isolation
- Object Fit
- Object Position
- Overflow
- Overscroll Behavior
- Position
- Top / Right / Bottom / Left
- Visibility
- Z-Index


<a name=flexbox--grid></a>

## Flexbox & Grid

- Flex Basis
- Flex Direction
- Flex Wrap
- Flex
- Flex Grow
- Flex Shrink
- Order
- Grid Template Columns
- Grid Column Start / End
- Grid Template Rows
- Grid Row Start / End
- Grid Auto Flow
- Grid Auto Columns
- Grid Auto Rows
- Gap
- Justify Content
- Justify Items
- Justify Self
- Align Content
- Align Items
- Align Self
- Place Content
- Place Items
- Place Self


<a name=spacing></a>

## Spacing

- Padding
- Margin
- Space Between


<a name=sizing></a>

## Sizing

- Width
- Min-Width
- Max-Width
- Height
- Min-Height
- Max-Height


<a name=typography></a>

## Typography

- Font Family
- Font Size
- Font Smoothing
- Font Style
- Font Weight
- Font Variant Numeric
- Letter Spacing
- Line Height
- List Style Type
- List Style Position
- Text Align
- Text Color
- Text Decoration
- Text Decoration Color
- Text Decoration Style
- Text Decoration Thickness
- Text Underline Offset
- Text Transform
- Text Overflow
- Text Indent
- Vertical Align
- Whitespace
- Word Break
- Content


<a name=backgrounds></a>

## Backgrounds

- Background Attachment
- Background Clip
- Background Color
- Background Origin
- Background Position
- Background Repeat
- Background Size
- Background Image
- Gradient Color Stops


<a name=borders></a>

## Borders

- Border Radius
- Border Width
- Border Color
- Border Style
- Divide Width
- Divide Color
- Divide Style
- Outline Width
- Outline Color
- Outline Style
- Outline Offset
- Ring Width
- Ring Color
- Ring Offset Width
- Ring Offset Color


<a name=effects></a>

## Effects

- Box Shadow
- Box Shadow Color
- Opacity
- Mix Blend Mode
- Background Blend Mode


<a name=filters></a>

## Filters

- Blur
- Brightness
- Contrast
- Drop Shadow
- Grayscale
- Hue Rotate
- Invert
- Saturate
- Sepia
- Backdrop Blur
- Backdrop Brightness
- Backdrop Contrast
- Backdrop Grayscale
- Backdrop Hue Rotate
- Backdrop Invert
- Backdrop Opacity
- Backdrop Saturate
- Backdrop Sepia


<a name=tables></a>

## Tables

- Border Collapse
- Border Spacing
- Table Layout


<a name=transitions--animation></a>

## Transitions & Animation

- Transition Property
- Transition Duration
- Transition Timing Function
- Transition Delay
- Animation


<a name=transforms></a>

## Transforms

- Scale
- Rotate
- Translate
- Skew
- Transform Origin


<a name=interactivity></a>

## Interactivity

- Accent Color
- Appearance
- Cursor
- Caret Color
- Pointer Events
- Resize
- Scroll Behavior
- Scroll Margin
- Scroll Padding
- Scroll Snap Align
- Scroll Snap Stop
- Scroll Snap Type
- Touch Action
- User Select
- Will Change


